<!doctype html>
<html lang="en">
  <head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css" integrity="sha384-xOolHFLEh07PJGoPkLv1IbcEPTNtaed2xpHsD9ESMhqIYd0nLMwNLD69Npy4HI+N" crossorigin="anonymous">

    <title>Hello, world!</title>
    <style>
        table,tr,th,td{
        width: 100%;
             padding: 50px;
            
            border: 2px solid black;
            text-align: center;
        }
    </style>
  </head>
  <body>
    

    <!-- Optional JavaScript; choose one of the two! -->

    <!-- Option 1: jQuery and Bootstrap Bundle (includes Popper) -->
    <script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-Fy6S3B9q64WdZWQUiU+q4/2Lc9npb8tCaSX9FK7E8HnRr0Jz8D6OP9dO5Vg3Q9ct" crossorigin="anonymous"></script>

    <!-- Option 2: Separate Popper and Bootstrap JS -->
    <!--
    <script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js" integrity="sha384-9/reFTGAW83EW2RDu2S0VKaIzap3H66lZH81PoYlFhbGU+6BZp6G7niu735Sk7lN" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/js/bootstrap.min.js" integrity="sha384-+sLIOodYLS7CIrQpBjl+C7nPvqq+FbNUBDunl/OZv93DB7Ln/533i8e/mZXLi/P+" crossorigin="anonymous"></script>
    -->
<form action="">
    <table>
        <tr>
            <td>
                <div class="dropdown">
                    <a class="btn btn-secondary dropdown-toggle" href="#" role="button" data-toggle="dropdown" aria-expanded="false">
                      filter
                    </a>
                  
                    <div class="dropdown-menu">
                      <a class="dropdown-item" href="#">male</a>
                      <a class="dropdown-item" href="#">female</a>
                      <a class="dropdown-item" href="#">mern</a>
                    </div>
                  </div>
            </td>
        </tr>
        <tr>
            <th>slNo</th>
            <th>studentName</th>
            <th>gender</th>
            <th>email</th>
            <th>cource</th>
            <th>rank</th>
        </tr>
        <tr>
            <td>1</td>
            <td>amit</td>
            <td>male</td>
            <th>amit.1301227094@gmail.com</th>
            <th>mern</th>
             <th>p1</th>
        </tr>
        <tr>
            <td>2</td>
            <td>amit2</td>
            <td>male</td>
            <th>amit.1301227095@gmail.com</th>
            <th>python</th>
             <th>p2</th>
        </tr>
        <tr>
            <td>3</td>
            <td>suby</td>
            <td>female</td>
            <th>amit.1301227096@gmail.com</th>
            <th>python</th>
             <th>p2</th> 
        </tr>
        <tr>
            <td>4</td>
            <td>suby2</td>
            <td>female</td>
            <th>amit.1301227096@gmail.com</th>
            <th>mern</th>
             <th>p1</th>
        </tr>

    </table>


    <!-- script code -->
    <script>

    </script>
</form>
  </body>
</html>